﻿@inherits UmbracoViewPage<IEnumerable<Job>>


<!-- Begin Work Content -->
<div class="section-dark experience" id="experience">
  <div class="container">
    <div class="columns is-multiline"
         data-aos="fade-in"
         data-aos-easing="linear">
      <div class="column is-12">
        <h1 class="title has-text-centered section-title">Experience</h1>
      </div>
      @foreach (var item in Model)
      {
        <div class="column is-4">
          <div class="card bm--card-equal-height">
            <div class="card-image">

              @{
                var image = item.Screenshots.FirstOrDefault();


                if (image != null)
                {
                  <figure class="image is-4by3 work-item"
                          style="background-image: url('@item.Screenshots.FirstOrDefault().GetCropUrl("300x200")');"></figure>

                }
              }
              <p class="title is-4">@item.Name</p>
            </div>
            <div class="card-content">


              <div class="content">
                @item.Description
                @if (item.SkillsTags.Any())
                {
                  <ul>
                    @{
                      foreach (var skill in item.SkillsTags)
                      {
                        <li>@skill</li>
                      }
                    }
                  </ul>
                }
                <br>
                From: <time datetime="@item.StartDate.ToString("yyyy-MM-dd")">@item.StartDate.ToString("MM-yyyy")</time> to <time datetime="@item.EndDate.ToString("yyyy-MM-dd")">@item.EndDate.ToString("MM-yyyy")</time>
            </div>
          </div>
        </div>
      </div>
    }
    </div>
  </div>
</div>
<!-- End Work Content -->
